from django.urls import path

from vbv_lernwelt.core.middleware.auth import django_view_authentication_exempt
from vbv_lernwelt.shop.views import (
    checkout_vv,
    get_billing_address,
    transaction_webhook,
    update_billing_address,
)

urlpatterns = [
    path("billing-address/", get_billing_address, name="get-billing-address"),
    path(
        "billing-address/update/", update_billing_address, name="update-billing-address"
    ),
    path("vv/checkout/", checkout_vv, name="checkout-vv"),
    path(
        "transaction/webhook/",
        django_view_authentication_exempt(transaction_webhook),
        name="shop-transaction-webhook",
    ),
]
